Subject: Re: bug#37221: 27.0.50; gnus fails to open connection post-NSM update

From: Alex Branham <[email-masked]>
Date: Wed, 04 Sep 2019 09:00:39 -0500

On Wed 04 Sep 2019 at 15:37, Lars Ingebrigtsen <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:
>
>>> Could you try with nsm-trust-local-network nil, and
>>> nnimap-record-commands t ? That should produce an "*imap log*" buffer
>>> that might tell us more, perhaps with (setq debug-on-error t) for good
>>> measure.
>>
>> When I tried this there was not an *imap log* buffer. When I set
>> nsm-trust-local-network to t there's an *imap log* buffer, though that's
>> not as useful I suppose. But at least the logging is working?
>
> The setting of nsm-trust-local-network should not affect whether the
> *imap log* buffer is created or not, so there's something odd going on
> in your Emacs, I think.

I'm not at all familiar with this part of Emacs, but could it be the
case that the NSM is somehow killing the nnimap process before it has a
chance to do anything, including logging?

> Does your setup work if you revert Emacs back to before the NSM changes?
> And what is the contents of your *imap log* buffer?

Yes, it does. After reverting to Emacs built August 18th, here's the *imap log* buffer:

08:56:15 [localhost] (inhibited)
08:56:15 [localhost] 26 CAPABILITY.
08:56:15 [localhost] 27 ENABLE QRESYNC.
08:56:15 [localhost] 28 LIST "" "*".
08:56:19 [localhost] 29 EXAMINE "utexas/[Gmail]/.Sent Mail" (QRESYNC (1565742123 3)).
08:56:19 [localhost] 30 EXAMINE "utexas/[Gmail]/.Drafts" (QRESYNC (1565742121 2)).
08:56:19 [localhost] 31 EXAMINE "utexas/[Gmail]/.All Mail" (QRESYNC (1565742120 16)).
08:56:19 [localhost] 32 EXAMINE "gmail/[Gmail]/.Sent Mail" (QRESYNC (1565742118 21)).
08:56:19 [localhost] 33 SELECT "gmail/[Gmail]/.Drafts".
08:56:19 [localhost] 34 UID FETCH 1:* FLAGS.
08:56:19 [localhost] 35 EXAMINE "gmail/[Gmail]/.All Mail" (QRESYNC (1565742116 48)).
08:56:19 [localhost] 36 EXAMINE "utexas/[Gmail]/.Trash" (QRESYNC (1565742122 1)).
08:56:19 [localhost] 37 SELECT "INBOX".
08:56:19 [localhost] 38 UID FETCH 1:* FLAGS.
08:56:19 [localhost] 39 EXAMINE "gmail/emacs-orgmode" (QRESYNC (1565742113 2)).
08:56:19 [localhost] 40 EXAMINE "gmail/emacs-devel" (QRESYNC (1565742114 2)).
08:56:19 [localhost] 41 EXAMINE "gmail/[Gmail]/.Trash" (QRESYNC (1565742117 1)).
08:56:19 [localhost] 42 EXAMINE "utexas/INBOX" (QRESYNC (1565742119 36)).
08:56:19 [localhost] 43 EXAMINE "gmail/INBOX" (QRESYNC (1565742115 101)).